<?php
// Author: Mike Waychison <mwaychison@cobalt.com>
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: importStatus.php,v 1.3 2000/08/25 06:26:16 mikew Exp $

include("ServerScriptHelper.php");
include("uifc/PagedBlock.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-ldap");
$i18n = $serverScriptHelper->getI18n("base-ldap");

/* sanitize filename */
$status = ereg_replace("[^a-zA-Z0-9]", "_", $status);

/* open the log file */
$fh = fopen("/tmp/$status", "r");
$percent = trim(fgets($fh,8192));
$message = trim(fgets($fh,8192));


/* get message */
$message = $i18n->interpolate($message);

$page = $factory->getPage();


print($page->toHeaderHtml());

// reload if not completed
if($percent < 100) {
	$block = new PagedBlock($page, "importStatus", $factory->getLabel("importStatus", false));

	$block->addFormField(
		$factory->getTextField("statusField", $i18n->interpolate($message), "r"),
  		$factory->getLabel("statusField")
	);

	$block->addFormField(
		$factory->getBar("progressField", round($percent,2)),
		$factory->getLabel("progressField")
	);
	print($block->toHtml());
	print("<SCRIPT LANGUAGE=\"javascript\">setTimeout(\"location.reload()\", 3000);</SCRIPT>");
} else {
	/* show the errors! */
	$errorCount = fgets($fh, 8192);
	if ($errorCount) {
		$scrollList = $factory->getScrollList("importErrors", array(/*"distinctiveName",*/ "errorMessage"));
		$scrollList->setEntryCountTags("[[base-ldap.errorCountSingular]]", "[[base-ldap.errorCountPlural]]");
		$scrollList->setHeaderRowHidden(true);
		for ($i=0;$i<$errorCount;$i++) {
			$dn = trim(fgets($fh, 8192));
			$msg = trim(fgets($fh, 8192));
			if ( ereg("^\"(.*)\"$", $msg, $regs))
				$msg = $regs[1];
			$scrollList->addEntry( array(
//				$factory->getTextField("errorDn".$i,$dn,"r"),
				$factory->getTextField("errorMsg".$i,$i18n->interpolate(stripcslashes($msg)), "r")
			));
		}
		print $scrollList->toHtml()."<br>";
	} else {
		/* no errors */
		$scrollList = $factory->getScrollList("importSucceeded", array("message"));
		$scrollList->setEntryCountHidden(true);
		$scrollList->setHeaderRowHidden(true);
		$scrollList->addEntry( array( $factory->getLabel("importSucceededMessage")));
		print $scrollList->toHtml()."<br>";
	}	
	
	/* make a back button */
	$backButton = $factory->getBackButton("import.php");
	print $backButton->toHtml()."<br>";
}
print($page->toFooterHtml()); 

